Loading...
Searching...
No Matches
Float16.h File Reference
`#include "runtime/HalideRuntime.h"`
`#include <cstdint>`
`#include <string>`

Go to the source code of this file.

## Classes

struct | Halide::float16_t
| Class that provides a type that implements half precision floating point (IEEE754 2008 binary16) in software. More...
struct | Halide::bfloat16_t
| Class that provides a type that implements half precision floating point using the bfloat16 format. More...

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.

## Functions

template<>
HALIDE_ALWAYS_INLINE constexpr halide_type_t | halide_type_of< Halide::float16_t > ()
template<>
HALIDE_ALWAYS_INLINE constexpr halide_type_t | halide_type_of< Halide::bfloat16_t > ()

## Function Documentation

## halide_type_of< Halide::float16_t >()

template<>

HALIDE_ALWAYS_INLINE constexpr halide_type_t halide_type_of< Halide::float16_t > | ( |  | ) |

constexpr

Definition at line 146 of file Float16.h.

References HALIDE_ALWAYS_INLINE, and halide_type_float.

## halide_type_of< Halide::bfloat16_t >()

template<>

HALIDE_ALWAYS_INLINE constexpr halide_type_t halide_type_of< Halide::bfloat16_t > | ( |  | ) |

constexpr

Definition at line 273 of file Float16.h.

References HALIDE_ALWAYS_INLINE, and halide_type_bfloat.